> ## Documentation Index
> Fetch the complete documentation index at: https://hc.saas-manager.biz.nuro.jp/llms.txt
> Use this file to discover all available pages before exploring further.

# Get an Identity History



## OpenAPI

````yaml https://api.itmc.i.moneyforward.com/public-api/docs/v1-json get /api/v1/organizations/{organizationId}/identity/{identityId}/history
openapi: 3.0.0
info:
  title: Admina Public API
  description: >-
    Admina API is a RESTfull API providing programmatic access to much of the
    data in the system. It provides predictable URLs for accessing resources,
    and uses built-in HTTP features to receive commands and return responses.
    This makes it easy to communicate with from a wide variety of environments,
    from command-line utilities to gadgets to the browser URL bar itself.
  version: '1.0'
  contact: {}
servers:
  - url: https://api.itmc.i.moneyforward.com
security: []
tags:
  - name: Organizations
    description: ''
  - name: Users
    description: ''
  - name: Directory
    description: ''
  - name: Departments
    description: ''
  - name: Locations
    description: ''
  - name: Companies
    description: ''
  - name: People
    description: ''
  - name: Workspaces
    description: ''
  - name: Custom Service and Workspace
    description: ''
  - name: Workspace Accounts
    description: ''
  - name: Accounts
    description: ''
  - name: Contracts
    description: ''
  - name: Devices
    description: ''
  - name: Devices (alpha)
    description: ''
  - name: Alerts
    description: ''
  - name: Spends
    description: ''
  - name: Usage Optimization
    description: ''
  - name: Services
    description: ''
  - name: Requests
    description: ''
  - name: AuditLogs
    description: ''
  - name: EventLogs
    description: ''
paths:
  /api/v1/organizations/{organizationId}/identity/{identityId}/history:
    get:
      tags:
        - Directory
      summary: Get an Identity History
      operationId: publicGetIdentityHistory
      parameters:
        - name: organizationId
          required: true
          in: path
          schema:
            type: number
        - name: identityId
          required: true
          in: path
          schema:
            type: string
        - name: limit
          required: false
          in: query
          schema:
            default: 10
            type: number
        - name: cursor
          required: false
          in: query
          schema:
            type: string
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PublicIdentityHistoryByChangeResponseDto'
        '418':
          description: >-
            The feature isn't available for the organization. Please contact the
            support team.
      security:
        - API-Key: []
components:
  schemas:
    PublicIdentityHistoryByChangeResponseDto:
      type: object
      properties:
        meta:
          readOnly: true
          allOf:
            - $ref: '#/components/schemas/CursorPaginationMeta'
        items:
          readOnly: true
          type: array
          items:
            $ref: '#/components/schemas/IdentityHistoryByChangeDto'
      required:
        - meta
        - items
    CursorPaginationMeta:
      type: object
      properties:
        nextCursor:
          type: string
          nullable: true
          readOnly: true
          example: F3UdkoSbpBNrjwP93AX2HQ
        totalItems:
          type: number
          nullable: true
          readOnly: true
          example: 1
      required:
        - nextCursor
    IdentityHistoryByChangeDto:
      type: object
      properties:
        id:
          type: string
        field:
          type: string
        previous:
          type: string
        current:
          type: string
        type:
          allOf:
            - $ref: '#/components/schemas/ActionType'
        source:
          allOf:
            - $ref: '#/components/schemas/ActionSource'
        actor:
          type: string
        metadata:
          nullable: true
          type: object
          allOf:
            - $ref: '#/components/schemas/ActionMetadataElement'
        createdAt:
          type: string
    ActionType:
      type: string
      enum:
        - create
        - update
        - merge
        - unmerge
    ActionSource:
      type: string
      enum:
        - ui
        - api
        - csv
        - synchronization
        - domain_settings
    ActionMetadataElement:
      type: object
      properties:
        targetIdentity:
          description: Target identity
          allOf:
            - $ref: '#/components/schemas/HistoryIdentityDto'
        sourceIdentity:
          description: Source identity
          allOf:
            - $ref: '#/components/schemas/HistoryIdentityDto'
        iggreRequestId:
          type: string
          description: Iggre Request ID, only present for aggregation actions
      required:
        - targetIdentity
        - sourceIdentity
        - iggreRequestId
    HistoryIdentityDto:
      type: object
      properties:
        id:
          type: string
          description: Identity ID
        displayName:
          type: string
          description: Identity display name
          nullable: true
        primaryEmail:
          type: string
          description: Identity primary email
          nullable: true
      required:
        - id
  securitySchemes:
    API-Key:
      scheme: bearer
      bearerFormat: JWT
      type: http
      description: >-
        For authenticated requests, set the `Authorization: Bearer your_api_key`
        parameter in the header. <br/>You can create and manage your API Keys by
        visiting the **API Keys** tab in the **Settings** page of your
        organization in <a target='_blank'
        href='https://itmc.i.moneyforward.com/'>Admina</a>

````